program tmove;
var
  i: longint;
  n: longint = 5;
  d: longint = 2;
  a: ^double;
begin
  reAllocMem(a,n*sizeof(double));
  for i := 0 to n-1 do a[i] := double(i);
  for i := 0 to n-1 do begin
    writeln(a[i])
  end;
  writeln;
  // shift down "d" elements of "a"
  move(a[d],a[0],(n-d)*sizeof(double));
  for i := 0 to n-d-1 do begin
    writeln(a[i])
  end
end.
